/*
 * Copyright (C) 2019 Weber Yann
 * 
 * This file is part of PyFCGI.
 * 
 * PyFCGI is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PyFCGI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with PyFCGI.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "python_pyfcgi.h"

PyMODINIT_FUNC
PyInit_libpyfcgi(void)
{
	PyObject *module;
	module = PyModule_Create(&pyfcgimodule);
	if(module == NULL) { return NULL; }
	return module;
}

PyObject* pyfcgi_start_response(PyObject* self, PyObject** argv, Py_ssize_t argc)
{
	char err[64];
	if(argc != 2)
	{
		snprintf(err, 64,
			"libpyfcgi.start_response() expected 2 arguments but %d given",
			argc);
		PyErr_SetString(PyExc_ValueError, err);
		Py_RETURN_NONE;
	}

	libpyfcgi_clean_response();

	response_status = argv[0];
	response_headers = argv[1];
	Py_RETURN_NONE;
}
